Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jan 2021 09:56:23 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am lodging complain against the erd part courier company/individual assigned to deliver pickup returned items for my order no: 9625940616. Following are my complains-

1 The courier company/individual assigned do not inform which time they are coming for return collection

2 The courier company/individual severely lacks communication skills

2a For the above order as soon as I mention to courier that I am not home on 06 Jan the person cut the phone line without providing should be my next course of action or next schedule for collection

2bI arranged to return the order physically to Qusais Splash Store on same day and was successful after Customer Support department helped me to remove the online return request. But today 07 Aug 2020 the courier came again to collect the same items I returned yesterday. So there is no co-ordination among Splash Customer Service, Splash Courier Service and Apps/Systems

2c The courier company/individual arrange to send me a automated call afterwards but the recorded AI call is was not clear and hence very annoying

Splash need to get rid of such courier company or person if they want to satisfy customers. Otherwise they will lose business. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1966126